{% load custom_tags %}
<!-- tambah data Wilayah -->
<div class="modal fade" id="tambahwilayah" role="dialog" aria-labelledby="tambahwilayah" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header bg-gradient-info text-white">
                <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data Wilayah</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body" id="wilayah">
                <form method="post" enctype="multipart/form-data" action="{% url 'profile:admin_wilayah_create' %}">
                    {% csrf_token %}
                    <div class="row">
                        <div class="col-md-3">Tahun</div>
                        <div class="col-md-8">
                            <select name="tahun" class="form-control select2" data-placeholder="Pilih Tahun" style="width: 100%;" required>
                                <option>--Pilih Tahun--</option>
                                {% for dt_tahun in tahun %}
                                <option value="{{dt_tahun.id}}">{{ dt_tahun.tahun|intcomma_no_decimal }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                    <hr>
                    <div class="row">
                        <div class="col-md-3">Provinsi</div>
                        <div class="col-md-8">
                            <input type="text" name="provinsi" class="form-control" required placeholder="Isi Nama Provinsi">
                        </div>
                    </div>
                    <hr>
                    <div class="row">
                        <div class="col-md-3">Kabupaten</div>
                        <div class="col-md-8">
                            <input type="text" name="kabupaten" class="form-control" required placeholder="Isi Nama Kabupaten">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                        <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- data arsip Wilayah -->
<div class="modal fade " id="arsipwilayah"  role="dialog" aria-labelledby="arsipwilayah" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content ">
            <div class="modal-header bg-gradient-danger text-white">
                <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Arsip Data Wilayah</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <table class="table table-striped table-bordered dt-responsive" id="table-archive">
                            <thead class="bg-danger text-white">
                                <th>No</th>
                                <th>Tahun</th>
                                <th>Provinsi</th>
                                <th>Kabupaten</th>
                                <th>Aksi</th>
                            </thead>
                            <tbody>
                                {% for arsip_wilayah in archives %}
                                    <tr>
                                        <td>{{forloop.counter}}</td>
                                        <td>{{arsip_wilayah.tahun.tahun}}</td>
                                        <td>{{arsip_wilayah.provinsi}}</td>
                                        <td>{{arsip_wilayah.kabupaten}}</td>
                                        <td>
                                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                                <button class="btn btn-warning btn-circle mr-3 mb-2" 
                                                    onclick="restore_(`{{ arsip_wilayah.kabupaten }}`, '{{ arsip_wilayah.id }}')"
                                                    data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                                     <i class="bi bi-arrow-counterclockwise"></i>
                                                </button>
                                            </div>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
